/*******************************************************************************
* File Name: ControlStrobe.h  
* Version 1.70
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CONTROL_REG_ControlStrobe_H) /* CY_CONTROL_REG_ControlStrobe_H */
#define CY_CONTROL_REG_ControlStrobe_H

#include "cytypes.h"


/***************************************
*         Function Prototypes 
***************************************/

void    ControlStrobe_Write(uint8 control) ;
uint8   ControlStrobe_Read(void) ;


/***************************************
*            Registers        
***************************************/

/* Control Register */
#define ControlStrobe_Control        (* (reg8 *) ControlStrobe_Sync_ctrl_reg__CONTROL_REG )
#define ControlStrobe_Control_PTR    (  (reg8 *) ControlStrobe_Sync_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_ControlStrobe_H */


/* [] END OF FILE */
