/*******************************************************************************
* File Name: IQ_DDS1_ControlPhase2.c  
* Version 1.70
*
* Description:
*  This file contains API to enable firmware control of a Control Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "IQ_DDS1_ControlPhase2.h"

#if !defined(IQ_DDS1_ControlPhase2_Sync_ctrl_reg__REMOVED) /* Check for removal by optimization */

/*******************************************************************************
* Function Name: IQ_DDS1_ControlPhase2_Write
********************************************************************************
*
* Summary:
*  Write a byte to the Control Register.
*
* Parameters:
*  control:  The value to be assigned to the Control Register.
*
* Return:
*  None.
*
*******************************************************************************/
void IQ_DDS1_ControlPhase2_Write(uint8 control) 
{
    IQ_DDS1_ControlPhase2_Control = control;
}


/*******************************************************************************
* Function Name: IQ_DDS1_ControlPhase2_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Control Register.
*
* Parameters:
*  None.
*
* Return:
*  Returns the current value in the Control Register.
*
*******************************************************************************/
uint8 IQ_DDS1_ControlPhase2_Read(void) 
{
    return IQ_DDS1_ControlPhase2_Control;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
