/*******************************************************************************
* File Name: DDS_DIG32_1_ControlPhase1.c  
* Version 1.70
*
* Description:
*  This file contains API to enable firmware control of a Control Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "DDS_DIG32_1_ControlPhase1.h"

#if !defined(DDS_DIG32_1_ControlPhase1_Sync_ctrl_reg__REMOVED) /* Check for removal by optimization */

/*******************************************************************************
* Function Name: DDS_DIG32_1_ControlPhase1_Write
********************************************************************************
*
* Summary:
*  Write a byte to the Control Register.
*
* Parameters:
*  control:  The value to be assigned to the Control Register.
*
* Return:
*  None.
*
*******************************************************************************/
void DDS_DIG32_1_ControlPhase1_Write(uint8 control) 
{
    DDS_DIG32_1_ControlPhase1_Control = control;
}


/*******************************************************************************
* Function Name: DDS_DIG32_1_ControlPhase1_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Control Register.
*
* Parameters:
*  None.
*
* Return:
*  Returns the current value in the Control Register.
*
*******************************************************************************/
uint8 DDS_DIG32_1_ControlPhase1_Read(void) 
{
    return DDS_DIG32_1_ControlPhase1_Control;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
